import { DialogTransactionHeaderBaseComponent } from '../../../core/base/dialog-transaction-header-base.component';
export declare class DialogTransactionHeaderDiscountComponent extends DialogTransactionHeaderBaseComponent {
    showClass(): boolean;
    showPriceListDialog: boolean;
    showDistributeDiscountLoader: boolean;
    openThePriceListDialog(): void;
    redistributeDiscount(): Promise<void>;
}
